Browse code

To "Setup Scripts", added macgyvery scripts which make it easy to install VUE in my internetless VirtualBox guest system, Vern.

Apollia authored on 10/09/2019 20:16:31
Showing 4 changed files
1 1
new file mode 100755
... ...
@@ -0,0 +1,27 @@
1
+#!/bin/bash
2
+
3
+readonly Fillepath____This_Script=$(realpath "${BASH_SOURCE[0]}")
4
+	readonly Follpath____This_Script=$(dirname "$Fillepath____This_Script" )
5
+
6
+cd "$Follpath____This_Script"
7
+
8
+
9
+
10
+Message="Done running VUE ASAP Setup for Vern!
11
+
12
+X Windows must be restarted before Java (required to run VUE) will work.
13
+
14
+Restart X Windows now?"
15
+
16
+
17
+echo "$Message"
18
+
19
+Xdialog --title "Done!" --yesno "$Message" 0 0
20
+
21
+result_code="$?"
22
+
23
+echo "Result code: $result_code"
24
+
25
+[ "$result_code" != 0 ] && exit "$result_code"
26
+
27
+restartwm
0 28
\ No newline at end of file
1 29
new file mode 100755
... ...
@@ -0,0 +1,12 @@
1
+#!/bin/sh
2
+
3
+# 08:15 08/08/2015.  For some reason, this doesn't work unless it's run while it's inside:
4
+#
5
+# 		/etc/profile.d
6
+
7
+export PATH=$PATH:/root/apbin/Java/v8u51/bin/
8
+export JAVA_HOME=/root/apbin/Java/v8u51/
9
+
10
+# 10:12 08/08/2015.  The latter line makes it possible to compile Apache Ant with its
11
+# included build.sh script!
12
+
0 13
new file mode 100644
... ...
@@ -0,0 +1,53 @@
1
+#!/bin/bash
2
+
3
+readonly Fillepath____This_Script=$(realpath "${BASH_SOURCE[0]}")
4
+	readonly Follpath____This_Script=$(dirname "$Fillepath____This_Script" )
5
+
6
+cd "$Follpath____This_Script"
7
+
8
+
9
+bash "Install everything for VUE on Bruno 2"
10
+
11
+
12
+# 04:13:43 10/09/2019.  Vern is my name for my internetless VirtualBox guest system.
13
+#
14
+#
15
+# No internet, so (hopefully) no need for the Pro-Grade Java security policy thing.
16
+
17
+#bash "Install Pro-Grade in Apbin"
18
+
19
+#bash "../Goliath Left Monitor above Goliath Right Monitor"
20
+
21
+
22
+
23
+#-------------------------------------------------------------------------------
24
+#
25
+# 	Java SFS Mount
26
+# 
27
+
28
+# Oct. 30, 2018, 5:51 AM.  This just mounts my disk partition containing
29
+# the Java SFS file, then mounts the Java SFS file.
30
+
31
+#bash "Mount Disk Partition - Sofa"
32
+
33
+#bash "Can be dangerous/Mount or Unmount Java SFS with Quickly Toggle SFS Mount"
34
+
35
+
36
+# 04:20:55 10/09/2019.  Vern will use the copy of Java stored in the 3300 MiB
37
+# Apbin.vdi, which I made so I could easily import my host system Goliath's
38
+# entire /root/apbin folder into my guest system (Vern).
39
+#
40
+# 04:15:23 10/09/2019.  Java can work fine outside of an SFS file, as long as the
41
+# script which sets envvars for Java is in /etc/profile.d:
42
+
43
+bash "Install script - automatically set envvars for Java"
44
+
45
+
46
+# Oct. 30, 2018, 5:53 AM.  Java can't be used until the user restarts X Windows,
47
+# so we can't automatically launch VUE.
48
+
49
+
50
+#bash "Announce end of Goliath setup"
51
+bash "Announce end of Vern setup and ask user to restart X Windows"
52
+
53
+
0 54
new file mode 100644
... ...
@@ -0,0 +1,13 @@
1
+#!/bin/bash
2
+
3
+readonly Fillepath____This_Script=$(realpath "${BASH_SOURCE[0]}")
4
+	readonly Follpath____This_Script=$(dirname "$Fillepath____This_Script" )
5
+
6
+
7
+Follpath____Dest="/etc/profile.d"
8
+
9
+
10
+cd "$Follpath____This_Script/Cargo"
11
+
12
+
13
+cp "Java_JDK_v8u51_Prep.sh" --target-directory "$Follpath____Dest"